﻿using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Logging;

namespace Powell.Teams.PublicApi.WebClient.Controllers
{
    using Powell.Teams.PublicApi.WebClient.Helpers;

    public class AuthorizationController : Controller
    {
        private readonly ILogger _logger;

        public AuthorizationController(ILogger<AuthorizationController> logger)
        {
            _logger = logger;
        }

        public IActionResult Authorize([FromQuery(Name = "code")] string code)
        {
            _logger.LogInformation("Authorization - Authorize");

            string azureToken = GraphAPIHelper.GetAzureToken(code, HttpContext.Session, _logger).Result;
            _logger.LogInformation("token : " + azureToken);
            return RedirectToAction("index", "Home");

        }
    }
}
