﻿namespace Powell.Teams.PublicApi.WebClient.Models
{
    using System;
    using System.Collections.Generic;

    public class ApiTeamCreationModel
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="ApiTeamCreationModel"/> class.
        /// </summary>
        public ApiTeamCreationModel()
        {
        }

        /// <summary>
        /// Gets or sets the description.
        /// </summary>
        /// <value>
        /// The description.
        /// </value>
        public string Description { get; set; }

        /// <summary>
        /// Gets or sets the team name.
        /// </summary>
        /// <value>
        /// The team name.
        /// </value>
        public string Name { get; set; }

        /// <summary>
        /// Gets or sets the team template identifier.
        /// </summary>
        /// <value>
        /// The team template identifier.
        /// </value>
        public Guid? TeamTemplateId { get; set; }

        /// <summary>
        /// Gets or sets the visibility.
        /// </summary>
        /// <value>
        /// The visibility.
        /// </value>
        public string Visibility { get; set; }

        /// <summary>
        ///     Gets or sets the additional members.
        /// </summary>
        /// <value>
        ///     The additional members.
        /// </value>
        public IEnumerable<string> AdditionalMembers { get; set; }


        /// <summary>Gets or sets the additional group owners.</summary>
        /// <value>The additional group owners.</value>
        public IEnumerable<string> AdditionalGroupOwners { get; set; }


        /// <summary>Gets or sets the additional group members.</summary>
        /// <value>The additional group members.</value>
        public IEnumerable<string> AdditionalGroupMembers { get; set; }

        /// <summary>
        ///     Gets or sets the additional owners.
        /// </summary>
        /// <value>
        ///     The additional owners.
        /// </value>
        public IEnumerable<string> AdditionalOwners { get; set; }

        /// <summary>
        /// Gets or sets tag values for the team.
        /// </summary>
        public IEnumerable<ApiTagValueCreationModel> TagValues { get; set; }
    }
}